%define anolis_release 2

Name:           libqrtr-glib
Version:        1.2.2
Release:        %{anolis_release}%{?dist}
Summary:        Support library to use and manage the QRTR (Qualcomm IPC Router) bus.
License:        LGPLv2+
URL:            http://freedesktop.org/software/libqrtr-glib
Source:         https://gitlab.freedesktop.org/mobile-broadband/libqrtr-glib/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc meson python3
BuildRequires:  pkgconfig(gudev-1.0) >= 147
BuildRequires:  glib2-devel >= 2.48.0 
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc

%description
This package contains the libraries that make it easier to use and
manage the QRTR (Qualcomm IPC Router) bus.

%package        devel
Summary:        Header files for adding QRTR support to applications that use glib
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel

%description    devel
This package contains the header and pkg-config files for development
applications using QRTR functionality from applications that use glib.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson 
%meson_build 

%install
%meson_install
find %{buildroot} -type f -name "*.a" -delete
find %{buildroot} -type f -name "*.la" -delete

%generate_compatibility_deps

%ldconfig_scriptlets

%files
%dir %{abidir}
%license LICENSES/LGPL-2.1-or-later.txt
%{_libdir}/libqrtr-glib.so.0
%{_libdir}/libqrtr-glib.so.0.0.0
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Qrtr-1.0.typelib
%{abidir}/libqrtr-glib.dump

%files devel
%{_libdir}/pkgconfig/qrtr-glib.pc
%{_libdir}/libqrtr-glib.so
%dir %{_includedir}/libqrtr-glib/
%{_includedir}/libqrtr-glib/*
%dir %{_datadir}/gtk-doc/html/libqrtr-glib/
%{_datadir}/gir-1.0/Qrtr-1.0.gir
%{_datadir}/gtk-doc/html/libqrtr-glib/*

%files doc
%doc NEWS AUTHORS README.md

%changelog
* Thu Apr 13 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1.2.2-2
- Optimise spec file

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.2.2-1
- Init from upstream version 1.2.2
